11 Comments

  1. PhoneGap3.0入门教程 | GhostMemory
    PhoneGap3.0入门教程 | GhostMemory September 2, 2013 at 04:06 .

    […] 参考地址 […]

  2. Mathias
    Mathias September 2, 2013 at 17:45 . Reply

    Hi, using your tutorial to create my first phonegap application ever.
    Using your tutorial worked just fine until the build step.

    When i use the phonegap command to build onto the emulator, i got this error in my eclipse console :
    R.java was modified manually! Reverting to generated version!
    Then my index.html file and index.js file were reverted to original version… so the application was finally built but without the contact plugin specific code.

    Looked at this error in Google but no answers fits my needs…

    But when I followed the “Getting started guide with android” on Phonegap website (http://docs.phonegap.com/en/2.3.0/guide_getting-started_android_index.md.html#Getting%20Started%20with%20Android), I got my application build (still with your example code), and it worked like a charm.

    I had to build the application in Eclipse with “Run > Run as > Android application”.
    Then the application build correctly.

    I i build again with the “phonegap local run –emulator android” CLI command, my files are reverted to original again and the application builds without contact specific code again.

    Have you an idea about this happens ?

    would be great to build with the CLI…

    Thx for the tutorial though and forgive my english ;)

    Mathias

  3. Mathias
    Mathias September 3, 2013 at 00:20 . Reply

    I’m using phonegap 3.0.0-0.14.3.
    I’v installed all my environnement following the getting starting guide (link given previously).

    Nevermind if it sounds not obvious to you, i can deploy throw the “Run > Run as > Android application” in Eclipse so it’s not a big deal ;)

    thx

  4. […] I found a lot of tutorials for PhoneGap 2, but I couldn’t find any PhoneGap 3 tutorial. That’s why I start a PhoneGap 3 tutorial session. Please note, I never worked with PhoneGap 2, so please correct me if I’m wrong.In the first part I want to install PhoneGap 3 and deploy a sample example into the Android / iOS simulator.Prerequisites:* Node Js* NPM* Google Android 4.2.2 (API 17), SDK build toolsor* XCode and Brew  […]

  5. Grzegorz Wasiak
    Grzegorz Wasiak September 15, 2013 at 12:02 . Reply

    Nice tutorial, thanks.
    Haven’t you run into any issues with launching the Android emulator? I can’t get it going on my both PCs… I mean the emulator works, but PhoneGap CLI can’t “talk” with it – apps are not installed. No error messages :/ Any ideas?

  6. chanhope
    chanhope October 22, 2013 at 20:21 . Reply

    Hi Thanks for the tutorial, do you know why phonegap not working with android 4.3 API18, when i try to run ‘local run android’ it keep giving me error that it need android target 17 (the latest version :O )

    1. bumerang07
      bumerang07 November 13, 2013 at 15:38 . Reply
  7. Manzoor
    Manzoor December 29, 2013 at 02:43 . Reply

    Hi, I am using windows 8 and I am getting this error.

    An error occured during creation of android sub-project.
    could anyone help me ?

Leave a Reply

Warning: require_once(/home/httpd/vhosts/pixelinvaders.ch/httpdocs/neophob.com/wp-content/themes/fanwood/sidebar-after-content.php): failed to open stream: Permission denied in /home/httpd/vhosts/pixelinvaders.ch/httpdocs/neophob.com/wp-includes/template.php on line 501 Fatal error: require_once(): Failed opening required '/home/httpd/vhosts/pixelinvaders.ch/httpdocs/neophob.com/wp-content/themes/fanwood/sidebar-after-content.php' (include_path='.:/usr/share/pear:/usr/share/php') in /home/httpd/vhosts/pixelinvaders.ch/httpdocs/neophob.com/wp-includes/template.php on line 501